local GameTooltip = GameTooltip

GameTooltip.factionIcon = GameTooltip:CreateTexture(nil, "ARTWORK")
GameTooltip.factionIcon:SetPoint("TOPRIGHT", 24, 6)
GameTooltip.factionIcon:SetSize(40, 40)

GameTooltip:HookScript("OnTooltipSetUnit", function(self)
    local _, unit = self:GetUnit()
    if not unit then return end

    if UnitIsPlayer(unit) then
        local icon = "Interface\\TargetingFrame\\" .. "UI-PVP-" .. UnitFactionGroup(unit)
        self.factionIcon:SetTexture(icon)
        self.factionIcon:Show()
    end
end)

GameTooltip:HookScript("OnTooltipCleared", function(self)
    self.factionIcon:SetTexture(nil)
    self.factionIcon:Hide()
end)
